aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-kci-publish-build-meta.sh3
-rw-r--r--jjb/common/include-agl-run-test-prepare.sh5
2 files changed, 8 insertions, 0 deletions
diff --git a/jjb/common/include-agl-kci-publish-build-meta.sh b/jjb/common/include-agl-kci-publish-build-meta.sh
index b4dec252..f8d8d895 100644
--- a/jjb/common/include-agl-kci-publish-build-meta.sh
+++ b/jjb/common/include-agl-kci-publish-build-meta.sh
@@ -38,6 +38,9 @@ kci-publish() {
# TARGETARCH exists only in ci-apps
case $TARGETMACHINE in
+ bbe)
+ TARGETARCH="arm"
+ ;;
qemuarm64)
TARGETARCH="arm64"
;;
diff --git a/jjb/common/include-agl-run-test-prepare.sh b/jjb/common/include-agl-run-test-prepare.sh
index ed597187..cb83a857 100644
--- a/jjb/common/include-agl-run-test-prepare.sh
+++ b/jjb/common/include-agl-run-test-prepare.sh
@@ -75,6 +75,11 @@ gen_info() {
# but the LAVA job need to be generated only for qemu. So we need to have lava_device and releng_device for it.
export BOARDOUT=$(mktemp --directory)
case $MACHINE in
+bbe)
+ lava_device=am335x-sancloud-bbe
+ releng_device=am335x-sancloud-bbe
+ gen_info || exit 0
+;;
qemux86-64)
lava_device=upsquare
releng_device=upsquare